vich_uploader:
  db_driver: orm
  metadata:
    type: attribute
  mappings:
    media_object:
      uri_prefix: /media
      upload_destination: '%kernel.project_dir%/public/media'
      # Will rename uploaded files using a uniqueid as a prefix.
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
    document_object:
      uri_prefix: /document
      upload_destination: '%kernel.project_dir%/public/document'
      # Will rename uploaded files using a uniqueid as a prefix.
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      inject_on_load: false
      delete_on_update: true
      delete_on_remove: true
